com.trendmicro.ds.platform.rest.object

## Class Action

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.Action

-     public class Action
      extends java.lang.Object

  The action that will be performed by a task.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Action.Type` The types of actions available to tasks.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Action()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getParameterValue()` Get the parameter value for actions that require a parameter.
    `Action.Type` | `getType()` Get the type of action that will be taken by the task.
    `void` | `setParameterValue(java.lang.Integer parameterValue)` Set the parameter value for actions that require a parameter.
    `void` | `setType(Action.Type type)` Set the type of action that will be taken by the task.
    `Action` | `withParameterValue(java.lang.Integer parameterValue)` Set the parameter value for actions that require a parameter.
    `Action` | `withType(Action.Type type)` Set the type of action that will be taken by the task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Action

          public Action()

  - ### Method Detail

    - #### getType

          public Action.Type getType()

      Get the type of action that will be taken by the task.
      Returns:
        the type of action that will be taken by the task.

    - #### setType

          public void setType(Action.Type type)

      Set the type of action that will be taken by the task.
      Parameters:
        `type` - the type of action that will be taken by the task.

    - #### withType

          public Action withType(Action.Type type)

      Set the type of action that will be taken by the task.
      Parameters:
        `type` - the type of action that will be taken by the task.
      Returns:
        the updated Action object.

    - #### getParameterValue

          public java.lang.Integer getParameterValue()

      Get the parameter value for actions that require a parameter.
      Returns:
        the parameter value for actions that require a parameter.

    - #### setParameterValue

          public void setParameterValue(java.lang.Integer parameterValue)

      Set the parameter value for actions that require a parameter.
      Parameters:
        `parameterValue` - the parameter value for actions that require a parameter.

    - #### withParameterValue

          public Action withParameterValue(java.lang.Integer parameterValue)

      Set the parameter value for actions that require a parameter.
      Parameters:
        `parameterValue` - the parameter value for actions that require a parameter.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.